Bug 240661 - devel/py-envisage: Update to 4.8.0
Summary: devel/py-envisage: Update to 4.8.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Rodrigo Osorio
URL: https://github.com/enthought/envisage...
Keywords:
Depends on:
Blocks:
 
Reported: 2019-09-18 07:51 UTC by vladimir.chukharev
Modified: 2019-09-22 09:17 UTC (History)
2 users (show)

See Also:


Attachments
Patch (1.58 KB, patch)
2019-09-18 07:51 UTC, vladimir.chukharev
vladimir.chukharev: maintainer-approval+
Details | Diff
New patch (1.50 KB, patch)
2019-09-19 18:42 UTC, vladimir.chukharev
vladimir.chukharev: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description vladimir.chukharev 2019-09-18 07:51:37 UTC
Created attachment 207597 [details]
Patch

Update devel/py-envisage from 4.7.2 to 4.8.0.
Add tests.
Comment where requirements are defined.

QA:
portlint : OK
port test : OK
poudriere : OK (py36, 12Ramd64)
make test : OK (also in 'poudriere -i')
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2019-09-18 10:32:25 UTC
Tips: 

When a port supports multiple Python versions, it's good to test against a non-default Python version as well (many issues are picked up this way)

Provide a changelog URL entry in the URL field for version updates, as it can help committers determine when security/bugfix releases can / need to / should be merged
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2019-09-18 10:33:51 UTC
Note form the changelog:

- Remove dependency on the ``nose`` package, and rename test modules. All
  tests can now be discovered and run using ``unittest``. (#200, #194)

The nose dependency can be dropped
Comment 3 vladimir.chukharev 2019-09-18 11:22:41 UTC
(In reply to Kubilay Kocak from comment #2)
Upstream uses their own test manager, which is not ported. Without the manager, two tests fail. With nose, all tests pass.

I plan to clarify with upstream what might be the reason of the failures. I think, nose can be kept meanwhile.
Comment 4 Kubilay Kocak freebsd_committer freebsd_triage 2019-09-18 11:26:39 UTC
(In reply to vladimir.chukharev from comment #3)

Thank you for clarifying. Have you tried "-m unittest discover" ?
Comment 5 vladimir.chukharev 2019-09-18 11:48:47 UTC
(In reply to Kubilay Kocak from comment #4)
Yes, that's how it mainly works. With no 'discover', it does not find any test.
Comment 6 vladimir.chukharev 2019-09-19 18:42:19 UTC
Created attachment 207636 [details]
New patch

I clarified with upstream about tests and accordingly corrected the patch. No TEST_DEPENDS needed, test invocation is different.
Comment 7 commit-hook freebsd_committer 2019-09-22 09:16:57 UTC
A commit references this bug:

Author: rodrigo
Date: Sun Sep 22 09:16:16 UTC 2019
New revision: 512566
URL: https://svnweb.freebsd.org/changeset/ports/512566

Log:
  Update devel/py-envisage from 4.7.2 to 4.8.0.
  Add tests
  Comment where requirements are defined.

  PR:		240661
  Submitted by:	<vladimir.chukharev@gmail.com> (maintainer)

Changes:
  head/devel/py-envisage/Makefile
  head/devel/py-envisage/distinfo
Comment 8 Rodrigo Osorio freebsd_committer 2019-09-22 09:17:20 UTC
committed, thanks.